Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 4006)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 4007)
@@ -25,6 +25,7 @@
 	
 	private static final int SECTION_SIZE = 1;
 	
+	Button printNewLinesInEditionsButton;
 	Button buildTIGERIndexesButton;
 	Button useNewDocIdButton;
 	RadioGroup keepWordContractionsButton;
@@ -73,8 +74,8 @@
 		gdata2.colspan = 4; // one line
 		useNewDocIdButton.setLayoutData(gdata2);
 		
-		keepWordContractionsButton = new RadioGroup(sectionClient, SWT.NONE, "Multiwords management", new String[][] {{UDPreferences.MULTIWORDS, "Multiwords"}, {UDPreferences.TOKENS, "Tokens"}, {UDPreferences.ALL, "All"}});//toolkit.create toolkit.createButton(sectionClient, "Keep multiword tokens when importing CoNLL-U files", SWT.CHECK);
-		keepWordContractionsButton.setToolTipText("Multiwords: only the multiwords are indexed, Tokens: Only the multiwords tokens are indexed, All: both are indexed");
+		keepWordContractionsButton = new RadioGroup(sectionClient, SWT.NONE, "Contractions management", new String[][] {{UDPreferences.SURFACE, "Surface"}, {UDPreferences.SYNTAX, "Syntax"}, {UDPreferences.ALL, "All"}});//toolkit.create toolkit.createButton(sectionClient, "Keep multiword tokens when importing CoNLL-U files", SWT.CHECK);
+		keepWordContractionsButton.setToolTipText("Surface: only the surface is indexed, Syntax: Only the multiwords tokens are indexed, All: both are indexed");
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		keepWordContractionsButton.setLayoutData(gdata2);
@@ -106,6 +107,11 @@
 		gdata2 = getTextGridData();
 		gdata2.colspan = 3; // one line
 		depsPropertiesText.setLayoutData(gdata2);
+
+		printNewLinesInEditionsButton = toolkit.createButton(sectionClient, "Print a newline after a sentence in editions", SWT.CHECK);
+		gdata2 = getButtonLayoutData();
+		gdata2.colspan = 4; // one line
+		printNewLinesInEditionsButton.setLayoutData(gdata2);
 	}
 	
 	@Override
@@ -116,8 +122,9 @@
 		Preferences customNode = project.getPreferencesScope().getNode(UDPreferences.getInstance().getPreferencesNodeQualifier());
 		
 		buildTIGERIndexesButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES))); //$NON-NLS-1$
+		buildTIGERIndexesButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES))); //$NON-NLS-1$
 		useNewDocIdButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID))); //$NON-NLS-1$
-		keepWordContractionsButton.setSelection(customNode.get(UDPreferences.MULTIWORDS_MANAGEMENT, UDPreferences.getInstance().getString(UDPreferences.MULTIWORDS_MANAGEMENT))); //$NON-NLS-1$
+		keepWordContractionsButton.setSelection(customNode.get(UDPreferences.CONTRACTIONS_MANAGEMENT, UDPreferences.getInstance().getString(UDPreferences.CONTRACTIONS_MANAGEMENT))); //$NON-NLS-1$
 		udPropertiesPrefixButton.setText(customNode.get(UDPreferences.UDPREFIX, UDPreferences.getInstance().getString(UDPreferences.UDPREFIX))); //$NON-NLS-1$
 		headPropertiesText.setText(customNode.get(UDPreferences.IMPORT_HEAD_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_HEAD_TO_PROJECT))); //$NON-NLS-1$
 		depsPropertiesText.setText(customNode.get(UDPreferences.IMPORT_DEPS_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT))); //$NON-NLS-1$
@@ -129,8 +136,9 @@
 			
 			Preferences customNode = project.getPreferencesScope().getNode(UDPreferences.getInstance().getPreferencesNodeQualifier());
 			customNode.putBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, buildTIGERIndexesButton.getSelection());
+			customNode.putBoolean(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, printNewLinesInEditionsButton.getSelection());
 			customNode.putBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, useNewDocIdButton.getSelection());
-			customNode.put(UDPreferences.MULTIWORDS_MANAGEMENT, keepWordContractionsButton.getSelection());
+			customNode.put(UDPreferences.CONTRACTIONS_MANAGEMENT, keepWordContractionsButton.getSelection());
 			customNode.put(UDPreferences.UDPREFIX, udPropertiesPrefixButton.getText());
 			customNode.put(UDPreferences.IMPORT_HEAD_TO_PROJECT, headPropertiesText.getText());
 			customNode.put(UDPreferences.IMPORT_DEPS_TO_PROJECT, depsPropertiesText.getText());
Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/CoNLLUPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/CoNLLUPreferencePage.java	(revision 4006)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/CoNLLUPreferencePage.java	(revision 4007)
@@ -26,7 +26,7 @@
 		this.addField(new BooleanFieldEditor(UDPreferences.IMPORT_USE_NEW_DOC_ID, "Use new odc id when importing CoNLL-U files", this.getFieldEditorParent()));
 		this.addField(new BooleanFieldEditor(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, "Build TIGERSearch indexes as well", this.getFieldEditorParent()));
 		
-		this.addField(new BooleanFieldEditor(UDPreferences.MULTIWORDS_MANAGEMENT, "Keep multiword tokens when importing CoNLL-U files", this.getFieldEditorParent()));
+		this.addField(new BooleanFieldEditor(UDPreferences.CONTRACTIONS_MANAGEMENT, "Keep multiword tokens when importing CoNLL-U files", this.getFieldEditorParent()));
 		udPrefixField = new StringFieldEditor(UDPreferences.UDPREFIX, "UD properties prefix", this.getFieldEditorParent());
 		this.addField(udPrefixField);
 		this.addField(new StringFieldEditor(UDPreferences.IMPORT_HEAD_TO_PROJECT, "UD head properties to project (comma separated list)", this.getFieldEditorParent()));
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 4006)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 4007)
@@ -2,9 +2,9 @@
 
 import java.util.HashMap;
 
-import org.eclipse.core.internal.registry.ConfigurationElementHandle;
 import org.eclipse.core.runtime.IConfigurationElement;
-import org.eclipse.core.runtime.IContributor;
+import org.eclipse.core.runtime.IExtension;
+import org.eclipse.core.runtime.IExtensionPoint;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.RegistryFactory;
 import org.txm.core.messages.TXMCoreMessages;
@@ -22,25 +22,23 @@
  *
  */
 public abstract class EnginesManager<T extends Engine> extends HashMap<String, T> {
-	
+
 	private static final long serialVersionUID = 9186978207738860351L;
-	
+
 	public static final String ENGINES_MANAGER_EXTENSION_POINT_ID = EnginesManager.class.getName();
-	
+
 	/**
 	 * Current engine.
 	 */
 	protected T currentEngine = null;
-	
-	
-	
+
 	/**
 	 * Finds out the engines that matches this manager engines extension point.
 	 * 
 	 * @return
 	 */
 	public abstract boolean fetchEngines();
-	
+
 	/**
 	 * Creates and initializes the engines from contributions with the specified extension point id.
 	 * 
@@ -48,19 +46,19 @@
 	 * @return true if at least one engine has been created otherwise false
 	 */
 	protected boolean fetchEngines(String engineExtensionPointId) {
-		
+
 		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(engineExtensionPointId);
-		
+
 		Log.finest(TXMCoreMessages.bind("Looking for {0} engines contributions with extension point id {1}...", this.getEnginesDescription(), engineExtensionPointId)); //$NON-NLS-1$
 		Log.finest(TXMCoreMessages.bind("{0} engine(s) found.", contributions.length)); //$NON-NLS-1$
-		
+
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				@SuppressWarnings("unchecked")
 				T engine = (T) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-				
+
 				Log.fine(TXMCoreMessages.bind("Initializing engine: {0}...", engine));
-				
+
 				if (engine.initialize()) {
 					this.put(engine.getName(), engine);
 				}
@@ -73,10 +71,10 @@
 				e.printStackTrace();
 			}
 		}
-		
+
 		return this.size() > 0;
 	}
-	
+
 	/**
 	 * Starts the engines.
 	 * 
@@ -85,14 +83,14 @@
 	 */
 	public boolean startEngines(IProgressMonitor monitor) {
 		for (Engine engine : this.values()) {
-			
+
 			String log = "Starting " + this.getEnginesDescription() + " engine: " + engine.getName() + "...";
 			Log.fine(log);
-			
+
 			if (monitor != null) {
 				monitor.subTask(log);
 			}
-			
+
 			try {
 				engine.start(monitor);
 			}
@@ -101,18 +99,18 @@
 				e.printStackTrace();
 			}
 		}
-		
+
 		if (this.currentEngine == null && this.size() > 0) {
 			this.setCurrentEngine((T) this.values().toArray()[0]);
 		}
 		return true;
 	}
-	
+
 	@Override
 	public String toString() {
 		return getEnginesType() + ": " + super.toString();
 	}
-	
+
 	/**
 	 * 
 	 * @return true if at least one engine is ready
@@ -121,10 +119,10 @@
 		if (currentEngine == null) {
 			return false;
 		}
-		
+
 		return currentEngine.isRunning();
 	}
-	
+
 	/**
 	 * Stops the engines.
 	 * 
@@ -132,9 +130,9 @@
 	 */
 	public boolean stopEngines() {
 		for (Engine engine : this.values()) {
-			
+
 			Log.fine("Stopping " + this.getEnginesDescription() + " engine: " + engine.getName() + "..."); //$NON-NLS-1$
-			
+
 			try {
 				engine.stop();
 			}
@@ -145,16 +143,16 @@
 		}
 		return true;
 	}
-	
+
 	/**
 	 * Restarts the engines.
 	 * 
 	 * @return
 	 */
 	public boolean restartEngines() {
-		
+
 		Log.finest("Restarting " + this.size() + " " + this.getEnginesDescription() + " engine(s)."); //$NON-NLS-1$
-		
+
 		for (Engine engine : this.values()) {
 			try {
 				if (engine.isRunning()) {
@@ -173,16 +171,16 @@
 		}
 		return true;
 	}
-	
+
 	/**
 	 * Gets the engine type that this manager supports.
 	 * 
 	 * @return the engine type that this manager supports
 	 */
 	public abstract EngineType getEnginesType();
-	
-	
-	
+
+
+
 	/**
 	 * Gets the engine description that this manager supports.
 	 * 
@@ -191,7 +189,7 @@
 	public String getEnginesDescription() {
 		return this.getEnginesType().getDescription();
 	}
-	
+
 	/**
 	 * Gets the available engines.
 	 * 
@@ -200,7 +198,7 @@
 	public HashMap<String, T> getEngines() {
 		return this;
 	}
-	
+
 	/**
 	 * Gets an engine specified by its name.
 	 * 
@@ -210,7 +208,7 @@
 	public T getEngine(String name) {
 		return get(name);
 	}
-	
+
 	/**
 	 * Returns the current engine.
 	 * 
@@ -219,7 +217,7 @@
 	public T getCurrentEngine() {
 		return this.currentEngine;
 	}
-	
+
 	/**
 	 * Sets the current engine.
 	 * 
@@ -229,7 +227,7 @@
 		Log.finest("Setting current " + this.getEnginesDescription() + " engine to " + engine + ".");
 		this.currentEngine = engine;
 	}
-	
+
 	/**
 	 * Sets the current engine specified by its name.
 	 * 
@@ -238,7 +236,7 @@
 	public void setCurrentEngine(String name) {
 		this.setCurrentEngine(this.getEngine(name));
 	}
-	
+
 	/**
 	 * Gets an installed engine according to its class type.
 	 * 
Index: TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 4006)
+++ TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 4007)
@@ -260,6 +260,8 @@
 		
 		def depsPropertiesToProject = UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_DEPS_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT)).split(",") as Set
 		
+		def printNewLines = "true" == UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, ""+UDPreferences.getInstance().getString(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES))
+		
 		ConsoleProgressBar cpb_texts = new ConsoleProgressBar(files.size())
 		
 		println "Parsing CoNLL-U files..."
@@ -428,6 +430,9 @@
 					writer.writeEndElement() // w
 					writer.writeCharacters(" ")
 				}
+				
+				if (printNewLines) writer.writeEmptyElement("lb")
+				
 				writer.writeCharacters("\n")
 				writer.writeEndElement() // s
 			}
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/preferences/UDPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/preferences/UDPreferences.java	(revision 4006)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/preferences/UDPreferences.java	(revision 4007)
@@ -33,6 +33,7 @@
 	
 	public static String IMPORT_BUILD_TIGERSEARCH_INDEXES = "import_build_tiger_indexes";
 	
+	public static String IMPORT_PRINT_NEWLINES_AFTER_SENTENCES = "import_print_newlines_in_editions";
 	/**
 	 * Gets the instance.
 	 * 
@@ -57,5 +58,6 @@
 		preferences.put(CONTRACTIONS_MANAGEMENT, SURFACE); // surface, syntax, all
 		preferences.putBoolean(IMPORT_USE_NEW_DOC_ID, true);
 		preferences.putBoolean(IMPORT_BUILD_TIGERSEARCH_INDEXES, true);
+		preferences.putBoolean(IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, true);
 	}
 }
Index: TXM/trunk/bundles/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMClassLoader.java
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMClassLoader.java	(revision 4006)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMClassLoader.java	(revision 4007)
@@ -30,7 +30,6 @@
 	 */
 	private ClassLoader defaultLoader;
 
-	
 	/**
 	 * 
 	 * @param defaultLoader
@@ -42,7 +41,7 @@
 		
 		boolean useFastIndex = GroovyPreferences.getInstance().getBoolean(GroovyPreferences.FAST_PACKAGE_INDEX);
 		
-		if(useFastIndex)  {
+		if (useFastIndex)  {
 			Log.finest("Fast package index option is activated."); //$NON-NLS-1$
 			this.packageToLoaders = new HashMap<String, HashSet<EquinoxClassLoader>>();
 		}
@@ -79,7 +78,6 @@
 	@Override
 	public Class<?> findClass(String name) throws ClassNotFoundException {
 
-
 		// try with the System class loader
 		try {
 			Class<?> c =  defaultLoader.loadClass(name);
Index: TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java	(revision 4006)
+++ TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java	(revision 4007)
@@ -21,7 +21,6 @@
 				
 			
 			
-			// Fixing multiwords 6th position if equals to "_"
 			ArrayList<String> conll2 = new ArrayList<>();
 			for (int i = 0 ; i < conll.size() ; i++) {
 				String l = conll.get(i);
@@ -35,7 +34,7 @@
 //					}
 //				}
 //				
-				if (split[6].equals("_")) { // 6th col is broken and we don't have the tokens of the multiwords
+				if (split[6].equals("_")) {
 					//split[6] = "0";
 					continue;
 				}
